/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.deployment.web;

import org.jfox.ejb.meta.Descriptor;
import org.jfox.ejb.meta.EJBDescriptionException;
import org.jfox.ejb.meta.XmlUtil;
import org.w3c.dom.Node;

/**
 * descriptor in application.xml web module
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class WebModuleDescriptor extends Descriptor {
    private String warName;
    private String webContext;

    public void processXML(Node node) throws EJBDescriptionException {
        setWarName(XmlUtil.getChildNodeValueOf(node, "web-uri"));
        setWebContext(XmlUtil.getChildNodeValueOf(node, "context-root"));
    }

    public String getWarName() {
        return warName;
    }

    public void setWarName(String warName) {
        this.warName = warName;
    }

    public String getWebContext() {
        return webContext;
    }

    public void setWebContext(String webContext) {
        this.webContext = webContext;
    }

    public static void main(String[] args) {

    }
}

